// File: dbsection.sql
// Hung En Tsai
//
// This file manages the following tables (and index):
//     DB_Section
//

drop table DB_Section GO
create table DB_Section (
    SectionId   int IDENTITY,
    CourseId    int,
    Section     nvarchar(254),
    Year        nvarchar(254),
    Season      nvarchar(254),
    Time        nvarchar(254),
    Room        nvarchar(254),
    UserId      int,
    CONSTRAINT db_section_sectionid_pk PRIMARY KEY (SectionId),
    CONSTRAINT db_section_userid_fk FOREIGN KEY (UserId) REFERENCES DB_User(UserId),
    CONSTRAINT db_section_courseid_fk FOREIGN KEY (CourseId) REFERENCES DB_COURSE(CourseId)
) GO