// File: dbenrollment.sql
// Hung En Tsai
//
// This file manages the following tables (and index):
//     DB_Enrollment
//

drop table DB_Enrollment GO
create table DB_Enrollment (
    EnrollmentId    int IDENTITY,
    SectionId       int,
    UserId          int,
    Grade           nvarchar(254),
    CONSTRAINT db_enrollment_enrollmentid_pk PRIMARY KEY (EnrollmentId),
    CONSTRAINT db_enrollment_sectionid_fk FOREIGN KEY (SectionId) REFERENCES DB_Section(SectionId),
    CONSTRAINT db_enrollment_userid_fk FOREIGN KEY (UserId) REFERENCES DB_User(UserId)
) GO