// File: dbuser.sql
// Hung En Tsai
//
// This file manages the following tables (and index):
//     DB_User
//

// The DB_User table
drop table DB_User GO
create table DB_User (
    UserId      int IDENTITY,
    FirstName   nvarchar(254),
    LastName    nvarchar(254),
    Login       nvarchar(254) UNIQUE,
    Password    nvarchar(254),
    Email       nvarchar(254),
    RoleId      int,
    CONSTRAINT db_user_userid_pk PRIMARY KEY (UserId),
    CONSTRAINT db_user_roleid_fk FOREIGN KEY (RoleId) REFERENCES DB_Role(RoleId)
) GO
